Summary:	MySQL module for Ruby
Summary(pl.UTF-8):	Moduł MySQL dla języka Ruby
Name:		mysql-ruby
Version:	2.8.2
Release:	5
License:	GPL
Group:		Development/Languages
Source0:	http://tmtm.org/downloads/mysql/ruby/%{name}-%{version}.tar.gz
# Source0-md5:	eb998b89b7e391cffe0a1f84bd426f9b
Patch0:		%{name}-amd64.patch
Patch1:		%{name}-encoding.patch
URL:		http://www.tmtm.org/mysql/ruby/
BuildRequires:	mysql-devel
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
Provides:	ruby-mysql-library
Conflicts:	ruby-mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL module for Ruby.

%description -l pl.UTF-8
Moduł MySQL dla języka Ruby.

%package rdoc
Summary:	HTML documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{name}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{name}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{name}.

%package ri
Summary:	ri documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{name}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{name}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
ruby extconf.rb \
	--with-mysql-config

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

rdoc --ri --op ri
rdoc --op rdoc
rm -r ri/Object
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

%{__make} install \
	archdir=$RPM_BUILD_ROOT%{ruby_vendorarchdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_vendorarchdir}

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{ruby_vendorarchdir}/mysql.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Mysql
%{ruby_ridir}/TC_Mysql*
%changelog
* Thu Dec 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mysql-ruby.git;a=log;h=master

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> 708aa24
- install to vendor dir

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f8ad09e
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> 38a6827
- BR: ruby-devel

* Tue Mar 09 2010 Jan Rękorajski <baggins@pld-linux.org> 4bec0b8
- rel 3
- Add basic encoding aware logic. Convert all data to default external encoding

* Tue Mar 09 2010 Jan Rękorajski <baggins@pld-linux.org> 91a672d
- Add basic encoding aware logic. Convert all data to default external encoding
  See:	http://gnuu.org/2009/11/06/ruby19-rails-mysql-utf8/
	http://github.com/lsegal/mysql-ruby

* Tue Mar 09 2010 Jan Rękorajski <baggins@pld-linux.org> a3b651c
- rel 2
- too many obsoletes

* Tue Mar 09 2010 Jan Rękorajski <baggins@pld-linux.org> 6644040
- up to 2.8.2
- added rdoc and ri packages

* Sun Mar 16 2008 aredridel <aredridel@pld-linux.org> d12fe4c
- remove duplicate ri files

* Mon Dec 31 2007 Elan Ruusamäe <glen@pld-linux.org> 2da766c
- convert utf8

* Wed Aug 08 2007 Robert Kurowski <koorek@pld-linux.org> 0106f65
- small fix reported by Przemysław Zając

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f3b5bed
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 24d94d0
- converted to UTF-8

* Mon Mar 27 2006 Elan Ruusamäe <glen@pld-linux.org> 258f795
- rel 4 (libmysqlclient_15)

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> b4a9504
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> fef32a6
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> e460cce
- fix previous commit - script is a bit to aggressive

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> caa1ba2
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

* Mon Dec 26 2005 Elan Ruusamäe <glen@pld-linux.org> d8a0d96
- use system ruby macros; cleanups

* Sat Oct 29 2005 aredridel <aredridel@pld-linux.org> e5e88b7
- rel 2 for rebuild
- STBR

* Tue Sep 27 2005 aredridel <aredridel@pld-linux.org> 20a3e1b
- change path to archdir, not sitearchdir
- BR: ruby-devel
- install properly

